> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ubik-agent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Flow Update Info

> Read-only version check for launcher and optional gated payload (no rate limit).



## OpenAPI

````yaml /api-reference/openapi.fr.json get /flow/update-info
openapi: 3.1.0
info:
  title: UBIK Public API
  description: Publicly accessible API endpoints for UBIK.
  version: '1.0'
servers:
  - url: https://app.ubik-agent.com/api/v1
    description: Production Server
security: []
paths:
  /flow/update-info:
    get:
      tags:
        - flow
      summary: Get Flow Update Info
      description: >-
        Read-only version check for launcher and optional gated payload (no rate
        limit).
      operationId: get_flow_update_info_flow_update_info_get
      parameters:
        - name: platform
          in: query
          required: true
          schema:
            type: string
            title: Platform
        - name: arch
          in: query
          required: true
          schema:
            type: string
            title: Arch
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlowUpdateInfoResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    FlowUpdateInfoResponse:
      properties:
        launcher:
          $ref: '#/components/schemas/FlowLauncherUpdateInfo'
        payload:
          anyOf:
            - $ref: '#/components/schemas/FlowPayloadUpdateInfo'
            - type: 'null'
      type: object
      required:
        - launcher
      title: FlowUpdateInfoResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FlowLauncherUpdateInfo:
      properties:
        version:
          type: string
          title: Version
        update_feed_url:
          type: string
          title: Update Feed Url
      type: object
      required:
        - version
        - update_feed_url
      title: FlowLauncherUpdateInfo
    FlowPayloadUpdateInfo:
      properties:
        version:
          type: string
          title: Version
        sha256:
          type: string
          title: Sha256
        size_bytes:
          type: integer
          title: Size Bytes
        url:
          type: string
          title: Url
      type: object
      required:
        - version
        - sha256
        - size_bytes
        - url
      title: FlowPayloadUpdateInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /api/internal/v1/token

````